Loading...
Searching...
No Matches
dyscostman::DyscoDataColumn::ThreadData Struct Referencefinal

## Public Member Functions

| ThreadData (std::unique_ptr< TimeBlockEncoder > timeBlockEncoder)

## Public Attributes

std::unique_ptr< TimeBlockEncoder > | encoder
std::mt19937 | rnd

## Detailed Description

Definition at line 74 of file dyscodatacolumn.h.

## Constructor & Destructor Documentation

## ThreadData()

dyscostman::DyscoDataColumn::ThreadData::ThreadData | ( | std::unique_ptr< TimeBlockEncoder > | timeBlockEncoder | ) |

inline

Definition at line 75 of file dyscodatacolumn.h.

References encoder.

## Member Data Documentation

## encoder

std::unique_ptr<TimeBlockEncoder> dyscostman::DyscoDataColumn::ThreadData::encoder

Definition at line 77 of file dyscodatacolumn.h.

Referenced by ThreadData().

## rnd

std::mt19937 dyscostman::DyscoDataColumn::ThreadData::rnd

Definition at line 78 of file dyscodatacolumn.h.

The documentation for this struct was generated from the following file:

- tables/Dysco/dyscodatacolumn.h